## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# CountersTable Class Reference

<meta name="usage" content="internal"/> This is a table of counters, keyed by ElemNumber objects, each of which has a list of Counter objects. More...

Collaboration diagram for CountersTable:

[legend]
List of all members.

## Public Types

- typedef Counter::CountType CountType
- typedef CounterVectorTypeDecl CounterVectorType
- typedef ElemCounterVectorVectorTypeDecl ElemCounterVectorVectorType
- typedef Counter::NodeVectorType NodeVectorType

## Public Member Functions

- CountersTable (MemoryManagerType &theManager, unsigned long theSize=0)
    Construct a CountersTable.
- ~CountersTable ()
- void resize (unsigned long theSize)
    Resize the table.
- CountType countNode (StylesheetExecutionContext &executionContext, const ElemNumber &numberElem, XalanNode *node)
    Count forward until the given node is found, or until we have looked to the given amount.
- void reset ()
    Clear all cached data from the table.

## Detailed Description

<meta name="usage" content="internal"/> This is a table of counters, keyed by ElemNumber objects, each of which has a list of Counter objects.

This really isn't a true table, it is more like a list of lists (there must be a technical term for that...).

## Member Typedef Documentation

typedef CounterVectorTypeDecl CountersTable::CounterVectorType

typedef Counter::CountType CountersTable::CountType

typedef ElemCounterVectorVectorTypeDecl CountersTable::ElemCounterVectorVectorType

typedef Counter::NodeVectorType CountersTable::NodeVectorType

## Constructor & Destructor Documentation

CountersTable::CountersTable | ( | MemoryManagerType & | theManager,
|  | unsigned long | theSize = 0
| ) |

| Construct a CountersTable.

CountersTable::~CountersTable | ( |  | ) |

## Member Function Documentation

CountType CountersTable::countNode | ( | StylesheetExecutionContext & | executionContext,
|  | const ElemNumber & | numberElem,
|  | XalanNode * | node
| ) |

| Count forward until the given node is found, or until we have looked to the given amount. The current execution context; The executing ElemNumber The node to count. Returns: The node count, or 0 if not found.

void CountersTable::reset | ( |  | ) |

| Clear all cached data from the table.

void CountersTable::resize | ( | unsigned long | theSize | ) |

| Resize the table. The must be done prior to using the table, if the size was not past in the constructor. The new size

The documentation for this class was generated from the following file:

- CountersTable.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.